<?php

function drupal_developer_profile_modules() {
  return array(
    // enable core modules
    'user', 'filter', 'block', 'node', 'taxonomy', 'comment', 'profile', 'menu',
    // enable devel modules
    'devel', 'devel_generate', 
    // enable admin menu
    'admin_menu',
    // enable coder
    'coder',
  );
}

function drupal_developer_profile_details() {
  return array(
    'name' => 'Drupal developer profile',
    'description' => 'Profile containing and installing development modules. WARNING! It contains dangerous user permissions, for development purposes only.',
  );
}


function drupal_developer_profile_final() {
// adding default content types, otherwise they are not created
  $types = array(
    array(
      'type' => 'page',
      'name' => t('Page'),
      'module' => 'node',
      'description' => t('If you want to add a static page, like a contact page or an about page, use a page.'),
      'custom' => TRUE,
      'modified' => TRUE,
      'locked' => FALSE,
    ),
    array(
      'type' => 'story',
      'name' => t('Story'),
      'module' => 'node',
      'description' => t('Stories are articles in their simplest form: they have a title, a teaser and a body, but can be extended by other modules. The teaser is part of the body too. Stories may be used as a personal blog or for news articles.'),
      'custom' => TRUE,
      'modified' => TRUE,
      'locked' => FALSE,
    ),
  );

  foreach ($types as $type) {
    $type = (object) _node_type_set_defaults($type);
    node_type_save($type);
  }

  // Default page to not be promoted and have comments disabled.
  variable_set('node_options_page', array('status'));
  variable_set('comment_page', COMMENT_NODE_DISABLED);

// adding devel blocks

  db_query("INSERT INTO {blocks} VALUES ('devel','2','garland',1,0,'right',0,0,0,'','')");
  db_query("INSERT INTO {blocks} VALUES ('devel','1','garland',1,0,'right',0,0,0,'','')");
  db_query("INSERT INTO {blocks} VALUES ('devel','0','garland',1,0,'right',0,0,0,'','')");
  // adding permissions for anonym to access content, to auth to post comments, and switch users
  // WARNING unsafe settings for live site ------------------------------------------'''''''''
  db_query("UPDATE {permission} SET perm = 'access comments, access content' WHERE rid = 1");
  db_query("UPDATE {permission} SET perm = 'access comments, post comments, post comments without approval, switch users, access content' WHERE rid = 2");
  // Add admin user: drupal:drupal
  $uid = db_next_id('{users}_uid');
  db_query("INSERT INTO {users} VALUES( %d,'drupal','08d15a4aef553492d8971cdd5198f314','drupal@localhost',0,0,0,'','','120 7223939',1207223949,0,1,'0','','','drupal@localhost','a:0:{}')", $uid);

  return t('Welcome to <a href="@url>your new development install</a>. Username:password is drupal:drupal. Happy coding.', array('@url' => url('')));

}
